Subject: Re: [PATCH] DTS: fix the bug and add the chip compatible for eSDHC

From: Scott Wood <[email-masked]>
Date: Wed, 4 Jan 2012 11:37:35 -0600

On 01/03/2012 09:11 PM, Huang Changming-R66093 wrote:
> 
> 
>> -----Original Message-----
>> From: Wood Scott-B07421
>> Sent: Tuesday, January 03, 2012 2:28 AM
>> To: Huang Changming-R66093
>> Cc: [email-masked]; Huang Changming-R66093
>> Subject: Re: [PATCH] DTS: fix the bug and add the chip compatible for
>> eSDHC
>>
>> On 12/23/2011 12:10 AM, [email-masked] wrote:
>>> From: Jerry Huang <[email-masked]>
>>>
>>> Accordint to latest kernel, the auto-cmd12 property should be
>>> "sdhci,auto-cmd12", and according to the SDHC binding and the
>>> workaround for the special chip, add the chip compatible for eSDHC:
>>> "fsl,p1022-esdhc", "fsl,mpc8536-esdhc", "fsl,p2020-esdhc" and
>> "fsl,p1010-esdhc".
>>>
>>> Signed-off-by: Jerry Huang <[email-masked]>
>>> ---
>>>  arch/powerpc/boot/dts/fsl/mpc8536si-post.dtsi |    4 ++++
>>>  arch/powerpc/boot/dts/fsl/p1010si-post.dtsi   |    3 ++-
>>>  arch/powerpc/boot/dts/fsl/p1022si-post.dtsi   |    3 ++-
>>>  arch/powerpc/boot/dts/fsl/p2020si-post.dtsi   |    4 ++++
>>>  4 files changed, 12 insertions(+), 2 deletions(-)
>>>
>>> diff --git a/arch/powerpc/boot/dts/fsl/mpc8536si-post.dtsi
>>> b/arch/powerpc/boot/dts/fsl/mpc8536si-post.dtsi
>>> index 89af626..44e0ed9 100644
>>> --- a/arch/powerpc/boot/dts/fsl/mpc8536si-post.dtsi
>>> +++ b/arch/powerpc/boot/dts/fsl/mpc8536si-post.dtsi
>>> @@ -236,6 +236,10 @@
>>>  	};
>>>
>>>  /include/ "pq3-esdhc-0.dtsi"
>>> +	sdhc@2e000 {
>>> +		compatible = "fsl,esdhc", "fsl,mpc8536-esdhc";
>>> +	};
>>
>> More-specific compatible entries should come first.
> 
> I don't understand you, why more-specific compatible entries should come?

Because the binding says so, as do ePAPR and the IEEE1275 generic names
recommendation.  It is relied on by some OS driver binding mechanisms to
resolve ambiguity in the event that drivers are present for both strings.

> The Documentation/devicetree/bindings/mmc/fsl-esdhc.txt has introduced it:
>   - compatible : should be
>     "fsl,<chip>-esdhc", "fsl,esdhc"
> I don't think I should introduce new entries.
> 

I'm not asking you to introduce a new entry.  I'm asking you to reverse
them as the above text specifies:

	compatible = "fsl,mpc8536-esdhc", "fsl,esdhc";

not:

	compatible = "fsl,esdhc", "fsl,mpc8536-esdhc";

-Scott